Bug 235844 - [New port] devel/ros-rospkg: Python library for ROS packaging system
Summary: [New port] devel/ros-rospkg: Python library for ROS packaging system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 224895 235845
  Show dependency treegraph
 
Reported: 2019-02-18 19:58 UTC by Trenton Schulz
Modified: 2019-09-22 10:45 UTC (History)
2 users (show)

See Also:


Attachments
shar file for devel/ros-rospkg (5.41 KB, text/plain)
2019-02-18 19:58 UTC, Trenton Schulz
no flags Details
Updated sharfile (5.42 KB, text/plain)
2019-09-17 10:39 UTC, Trenton Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton Schulz 2019-02-18 19:58:56 UTC
Created attachment 202137 [details]
shar file for devel/ros-rospkg

This is a dependency for bug #224895
Comment 1 Trenton Schulz 2019-09-17 10:39:28 UTC
Created attachment 207562 [details]
Updated sharfile

Updated sharfile for ports system and update software version
Comment 2 Kurt Jaeger freebsd_committer 2019-09-22 10:44:47 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-09-22 10:45:09 UTC
A commit references this bug:

Author: pi
Date: Sun Sep 22 10:44:37 UTC 2019
New revision: 512575
URL: https://svnweb.freebsd.org/changeset/ports/512575

Log:
  New port: devel/ros-rospkg

  Rospkg is a standalone Python library for working with the ROS packaging system

  The ROS packaging system simplifies development and distribution of code
  libraries. It enable you to easily specify dependencies between code
  libraries, easily interact with those libraries from the command-line, and
  release your code for others to use.

  ROS packages are designed to support building and running code in local code
  trees. This is useful for developing software on multi-developer systems, such
  as robots, where there may be multiple versions of a library in use, and code
  is being contributed from multiple sources. It is also design to support
  modular code that is easily shared with other developers.

  WWW: http://wiki.ros.org/rospkg

  PR:		235844
  Submitted by:	Trenton Schulz <trueos@norwegianrockcat.com>

Changes:
  head/devel/Makefile
  head/devel/ros-rospkg/
  head/devel/ros-rospkg/Makefile
  head/devel/ros-rospkg/distinfo
  head/devel/ros-rospkg/files/
  head/devel/ros-rospkg/files/patch-doc_environment.rst
  head/devel/ros-rospkg/files/patch-doc_rospkg__environment.rst
  head/devel/ros-rospkg/files/patch-src_rospkg_environment.py
  head/devel/ros-rospkg/files/patch-test_test__rospkg__environment.py
  head/devel/ros-rospkg/pkg-descr